#ifndef PREVIEWLABEL_H
#define PREVIEWLABEL_H
#include<QLabel>

class PreviewLabel : public QLabel
{
public:
    explicit PreviewLabel(QWidget *parent=nullptr, Qt::WindowFlags f=Qt::WindowFlags());
    explicit PreviewLabel(const QString &text, QWidget *parent=nullptr, Qt::WindowFlags f=Qt::WindowFlags());
    ~PreviewLabel();
    void setColor(const QColor &color);
    void setLocalPixmap(QPixmap pixmap);
    QRect getSourceRect(const QPixmap &pixmap, const QRect &screenGeometry);
    QRect getSourceRect(const QPixmap &pixmap);
    QRect getDestRect(const QPixmap &pixmap);
    void setMode(QString mode);

protected:
    void paintEvent(QPaintEvent *e);

private:
    QString mode;
    QPixmap m_pixmap;
    QColor mColor;
    QString displayType;
};

#endif // PREVIEWLABEL_H
